Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2020-12392

Published: 6 May 2020

The 'Copy as cURL' feature of Devtools' network tab did not properly escape the HTTP POST data of a request, which can be controlled by the website. If a user used the 'Copy as cURL' feature and pasted the command into a terminal, it could have resulted in the disclosure of local files. This vulnerability affects Firefox ESR < 68.8, Firefox < 76, and Thunderbird < 68.8.0.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine

Priority

Medium

Cvss 3 Severity Score

5.5

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
bionic
Released (76.0+build2-0ubuntu0.18.04.1)
eoan
Released (76.0+build2-0ubuntu0.19.10.1)
focal
Released (76.0+build2-0ubuntu0.20.04.1)
groovy
Released (76.0+build2-0ubuntu1)
hirsute
Released (76.0+build2-0ubuntu1)
impish
Released (76.0+build2-0ubuntu1)
jammy
Released (76.0+build2-0ubuntu1)
kinetic
Released (76.0+build2-0ubuntu1)
lunar
Released (76.0+build2-0ubuntu1)
mantic
Released (76.0+build2-0ubuntu1)
noble
Released (76.0+build2-0ubuntu1)
trusty Does not exist

upstream
Released (76.0)
xenial
Released (76.0+build2-0ubuntu0.16.04.1)
mozjs38
Launchpad, Ubuntu, Debian
bionic Needs triage

eoan Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mozjs52
Launchpad, Ubuntu, Debian
bionic Needs triage

eoan Ignored
(end of life)
focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mozjs60
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Ignored
(end of life)
focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mozjs68
Launchpad, Ubuntu, Debian
bionic Does not exist

eoan Does not exist

focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

thunderbird
Launchpad, Ubuntu, Debian
bionic
Released (1:68.8.0+build2-0ubuntu0.18.04.2)
eoan
Released (1:68.8.0+build2-0ubuntu0.19.10.2)
focal
Released (1:68.8.0+build2-0ubuntu0.20.04.2)
groovy
Released (1:68.8.0+build2-0ubuntu1)
hirsute
Released (1:68.8.0+build2-0ubuntu1)
impish
Released (1:68.8.0+build2-0ubuntu1)
jammy
Released (1:68.8.0+build2-0ubuntu1)
kinetic
Released (1:68.8.0+build2-0ubuntu1)
lunar
Released (1:68.8.0+build2-0ubuntu1)
mantic
Released (1:68.8.0+build2-0ubuntu1)
noble
Released (1:68.8.0+build2-0ubuntu1)
trusty Does not exist

upstream
Released (68.8.0)
xenial
Released (1:68.8.0+build2-0ubuntu0.16.04.2)

Severity score breakdown

Parameter Value
Base score 5.5
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact None
Availability impact None
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N